/*
     $Revision$
     $Id$
*/

function pre_submit()
{
    var validation_message = "";

    var kto_perc = $("#ins_discipline_ktopercentage").val();
    var herfiat_perc = $("#herfiatpct").val();
    var herfiat_marge = $("#herfiatmarge").val();
    var herfiat = $("#herfiat").val();

    if (kto_perc && ( (parseInt(kto_perc) > 100) || (parseInt(kto_perc) < 0) ))
        validation_message += L("mgt_validation_error_1").format(L("ins_discipline_ktopercentage")) + "\n";

    if (herfiat_perc && ((parseInt(herfiat_perc) > 100) || (parseInt(herfiat_perc) < 0)))
        validation_message += L("mgt_validation_error_1").format(L("bes_discipline_herfiatpct")) + "\n";

    if (herfiat == 1 && (!herfiat_perc && !herfiat_marge))
        validation_message += L("mgt_validation_error_2").format(L("bes_discipline_herfiatpct"), L("bes_discipline_herfiatmarge")) + "\n";

    if (validation_message != "")
    {
        FcltMgr.alert(validation_message);
        return false;
    }

    return true;
}